from machine import I2C,Pin,PWM 
import time

i2c =I2C(scl=machine.Pin(2), sda=machine.Pin(0))
pwmRED=PWM(Pin(4))
pwmGREEN=PWM(Pin(14))
pwmBLUE=PWM(Pin(5))

data = bytearray(2)

def getkeys(data):
   arr=[0,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1]
   str1="click "
   mask=0x0001
   for i in range(1,16):
     if (mask<<i) & data > 0:
        print("i=",arr[i])
        return arr[i]
   
def setRGB(key):
    colors=[[0,0,0],[0,0,0],
            [512,0,0],[512,512,0],[0,512,0],
            [0,512,512],[0,0,512],[512,0,512],
            [1023,0,1023],[1023,0,0],[1023,1023,0],
            [0,1023,0],[0,1023,1023],[0,0,1023],
            [200,200,200],[500,500,500]]
     
    pwmRED.duty(colors[key][0])
    pwmGREEN.duty(colors[key][1])
    pwmBLUE.duty(colors[key][2])


while True:
    data = i2c.readfrom(0x57,2)
    word=data[0]<<8 | data[1]
    if word !=0 :
       k=getkeys(word)
       setRGB(k)
    time.sleep(0.5)

